Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05562 Sound Minor Always May 1, 2014, 16:51 Jul 19, 2014, 03:26
Tester sasuke View Status Public Platform MAME (Official Binary)
Assigned To hap Resolution Fixed OS Windows Vista/7 (32-bit)
Status [?] Resolved Driver lwings.cpp
Version 0.153 Fixed in Version 0.154 Build Normal
Fixed in Git Commit Github Pull Request #
Summary 05562: lwings, trojan, sectionz, avengers and clones: The music tempo is fast.
Description All musics tempo is always fast.
Steps To Reproduce
Additional Information Correct tempo (These are PS2 or PS3 version)

Legendary Wings


Trojan
http://gamenyarth.blog67.fc2.com/blog-entry-4926.html?id=sm17685243


Section Z


Avengers


Original Sound Track of Section Z (5m35s~, From "Capcom Music Collection Vol.1", released in 2010)


Original Sound Track of Trojan (From "Capcom Game Music", released in 1986)
http://gamenyarth.blog67.fc2.com/blog-entry-4926.html?id=sm4986010
Github Commit
Flags Verified with Original
Regression Version
Affected Sets / Systems lwings, trojan, sectionz, avengers and clones
Attached Files
mp3 file icon sectionz.mp3 (587,649 bytes) May 9, 2014, 16:31 Uploaded by sasuke
Left : Section Z OST, Right : Section Z MAME (Value = 221)
mp3 file icon trojan.mp3 (575,946 bytes) May 10, 2014, 16:13 Uploaded by sasuke
Left : Trojan (Tatakai no banka) real hardware, Right : Trojan (Tatakai no banka) MAME (Value = 222)
Relationships
There are no relationship linked to this issue.
Notes
7
User avatar
No.10662
sasuke
Tester
May 1, 2014, 16:55
I seems to solve this bug by the following change:
(There may be a little error)

lwings.c Line 768:
MCFG_CPU_PERIODIC_INT_DRIVER(lwings_state, irq0_line_hold, 224)
User avatar
No.10663
Tafoid
Administrator
May 1, 2014, 17:17
I know you mean well by reporting, but console emulation/simulation cannot be trusted to be 100% accurate.
If they are emulations, they likely are based on older and less accurate versions of MAME. The only real proof is to source and record the original PCB. Most of the settings in this driver for clock speeds and such have been verified to be correct with original readings from PCB. If you have access to any produced OST CD's, they can be used as a basic tempo/pitch reference as well.
User avatar
No.10668
sasuke
Tester
May 2, 2014, 04:09
edited on: May 2, 2014, 04:28
I think so too. But, there is no doubt that the music of MAME is fast.
This line has a comment of " /* ??? */ ".
Therefore, this value seems to have determined by the feeling of developers.
And, I added some OST to Additional Information.
User avatar
No.10685
sasuke
Tester
May 9, 2014, 16:35
I was compared to the Section-Z OST carefully.
the exact value of MCFG_CPU_PERIODIC_INT_DRIVER is 221.
I've uploaded the sound file for comparison.
User avatar
No.10688
sasuke
Tester
May 10, 2014, 16:11
edited on: May 10, 2014, 16:15
I was compared with the real hardware of Trojan (Tatakai no banka).
In this comparison, the best param was 222.
I have attached this sound.
User avatar
No.10810
hap
Developer
Jun 21, 2014, 12:33
Ok, I've set it to 222, thanks!
User avatar
No.10843
sasuke
Tester
Jul 19, 2014, 03:26
Thanks, too!